cURL
curl --request PUT \ --url https://api.trymaitai.ai/api/v1/agents/{agent_id}/form-fields \ --header 'Content-Type: application/json' \ --header 'X-Maitai-Api-Key: <api-key>' \ --data ' { "fields": [ { "name": "customer_name", "type": "text", "required": true, "label": "Customer Name" }, { "name": "order_id", "type": "text", "required": false, "label": "Order ID" } ] } '
{ "data": [ { "name": "customer_name", "type": "text", "required": true, "label": "Customer Name" }, { "name": "order_id", "type": "text", "required": false, "label": "Order ID" } ] }
Replace all form field definitions for an agent.
Documentation IndexFetch the complete documentation index at: https://docs.trymaitai.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt
Use this file to discover all available pages before exploring further.
Your Maitai API key from the Portal.
Update form fields.
Was this page helpful?